%define module 	Convert-ASN1
%define version 0.12
%define release 1mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Convert/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 5.6
Requires:	perl >= 5.6
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.


%prep
%setup -q -n %{module}-%{version}


%build
%{__perl} Makefile.PL PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib

%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

install -d $RPM_BUILD_ROOT/%{_datadir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{module}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST ChangeLog  examples htdocs/Convert/*


%changelog
* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.12-1mdk
- updated to 0.12

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.11-2mdk
- fixes from Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-devel >= 5.6
	- Requires:	perl >= 5.6

* Sat Jul 14 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.11-1mdk
- 0.11

* Mon May 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- updated by Christian Zoffoli <czoffoli@linux-mandrake.com> :
- 0.10

* Thu Apr 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.08-1mdk
- First Mandrake release







